Page MenuHomePhabricator

Deploy Growth features on Kazakh Wikipedia
Open, LowPublicWed, Oct 20

Description

NOTE: The configuration for the Growth features will be on wiki at Special:EditGrowthConfig.

General translations

  • Translate the interface (on translatewiki.net, needs a specific account)
  • Translate aliases:
    • Special:WelcomeSurvey -> Арнайы:Сауалнамаға қош келдіңіз
    • Special:Homepage -> Арнайы:Басты бет
    • Special:Impact -> Арнайы:Әсер
    • Special:ClaimMentee -> Арнайы:Жаңа пайдаланушыға шағымдану

Help panel

TaskLabelTranslation of the label
Manual of styleHow to write a good articleЖақсы мақала қалай жазылады
Help:EditingHow to edit a pageБетті қалай өңдеуге болады
Inserting images (using the visual editor)How to insert imagesСуреттерді қалай енгізу керек
Inserting references (using the visual editor)How to insert referencesСілтемелерді қалай енгізу керек
Article WizardHow to create an articleМақаланы қалай құруға болады

Mentorship module (optional)

  1. Encourage community members to become mentors (can be done later). If done:
  2. The signature list has been formatted like it should be.
  3. Add the signature list to Q14339834.

Suggested edits

Templates and help pages are listed on wiki, at Special:EditGrowthConfig.

Anything else?

Do you have any particular information or configuration that we should be aware of (like you have a special in-person mentoring program, or your wiki uses FlaggedRevisions...):

Event Timeline

Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptAug 2 2021, 2:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Urbanecm_WMF triaged this task as Medium priority.

Change 709515 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] Growth features: Enable features in dark mode on a few wikis

https://gerrit.wikimedia.org/r/709515

Change 709515 merged by jenkins-bot:

[operations/mediawiki-config@master] Growth features: Enable features in dark mode on a few wikis

https://gerrit.wikimedia.org/r/709515

Mentioned in SAL (#wikimedia-operations) [2021-08-02T18:45:30Z] <urbanecm@deploy1002> Synchronized dblists/growthexperiments.dblist: 18cd360773a2a236f9817ac0a4eaf3790b6d8cff: Growth features: Enable features in dark mode on a few wikis (T287876, T287871, T287878, T287880, T287875, T287879, T287872; 1/2) (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2021-08-02T18:46:42Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 18cd360773a2a236f9817ac0a4eaf3790b6d8cff: Growth features: Enable features in dark mode on a few wikis (T287876, T287871, T287878, T287880, T287875, T287879, T287872; 2/2) (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2021-08-02T18:49:12Z] <urbanecm> Run extensions/GrowthExperiments/maintenance/initWikiConfig.php on a couple of wikis to init on-wiki config for Growth features (T287876, T287871, T287878, T287880, T287875, T287879, T287872)

@Trizek-WMF Growth features were just deployed in dark mode at this wiki. Please have a look, and let me know when it's time to promote the wiki out of dark mode.

Note I did not yet add special page aliases and copy help panel links descriptions -- I will do that ASAP.

FYI, I just copied the help link description translations from this task to community configuration (ie. Special:EditGrowthConfig), so they should now be also actually applied.

@Urbanecm_WMF, this wiki requires the activation of the visual editor (source).

Urbanecm_WMF changed the task status from Open to Stalled.Aug 6 2021, 9:57 PM
Urbanecm_WMF removed Urbanecm_WMF as the assignee of this task.
Urbanecm_WMF lowered the priority of this task from Medium to Low.
Urbanecm_WMF moved this task from In progress to Blocked on the User-Urbanecm_WMF (Engineering) board.
Urbanecm_WMF edited projects, added Growth-Team; removed Growth-Team (Current Sprint).

It was decided by the Growth-Team to stall the deployment until VisualEditor comes out of beta, as enabling it unilaterally could have unexpected impacts on the community. Unassigning and moving off sprint.

Trizek-WMF changed the task status from Stalled to Open.Wed, Oct 6, 4:00 PM
Trizek-WMF moved this task from Stalled to Backlog on the Growth-Deployments board.
Trizek-WMF moved this task from Backlog to Stalled on the Growth-Deployments board.
Trizek-WMF set Due Date to Wed, Oct 13, 4:00 PM.Wed, Oct 6, 5:03 PM

I pinged the communities and set a due date. If we don't get any replies until then, then we will deploy.

I pinged the communities and set a due date. If we don't get any replies until then, then we will deploy.

VE was enabled. Do you want me to deploy the wiki to newcomers now, or should I give it some additional time?

Trizek-WMF changed Due Date from Wed, Oct 13, 4:00 PM to Wed, Oct 20, 4:00 PM.

Change 732437 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] Promote Growth features out of darkmode on several wikis

https://gerrit.wikimedia.org/r/732437

Change 732437 merged by jenkins-bot:

[operations/mediawiki-config@master] Promote Growth features out of darkmode on several wikis

https://gerrit.wikimedia.org/r/732437

Mentioned in SAL (#wikimedia-operations) [2021-10-20T21:08:28Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: b9cf996a38d82fdd67e600a5a951e88423957e8d: Promote Growth features out of darkmode on several wikis (T291826, T255037, T287878) (duration: 01m 04s)

Etonkovidova added a subscriber: Etonkovidova.

Checked - all look fine.

  • the translation is not done yet
  • The special pages aliases are still not translated:

Арнайы:WelcomeSurvey
Арнайы:Homepage
Арнайы:Impact
Арнайы:ClaimMentee